Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_ConsumerControl Class Reference

ConsumerControl. More...

`#include <EC_ConsumerControl.h>`

Inheritance diagram for TAO_EC_ConsumerControl:

[legend]
List of all members.

## Public Methods
| TAO_EC_ConsumerControl (void)
| Constructor.
virtual | ~TAO_EC_ConsumerControl (void)
| Destructor.
virtual int | activate (void)
virtual int | shutdown (void)
virtual void | consumer_not_exist (TAO_EC_ProxyPushSupplier *proxy ACE_ENV_ARG_DECL_NOT_USED)
virtual void | system_exception (TAO_EC_ProxyPushSupplier *proxy, CORBA::SystemException &ACE_ENV_ARG_DECL_NOT_USED)

## Detailed Description

ConsumerControl.

Defines the interface for the consumer control strategy. This strategy handles misbehaving or failing consumers.

## Constructor & Destructor Documentation

TAO_EC_ConsumerControl::TAO_EC_ConsumerControl | ( | void |  | ) |

| Constructor.

TAO_EC_ConsumerControl::~TAO_EC_ConsumerControl | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_EC_ConsumerControl::activate | ( | void |  | ) | `[virtual]`

| Activate any internal threads or timers used to poll the state of the consumers Reimplemented in TAO_EC_Reactive_ConsumerControl.

virtual void TAO_EC_ConsumerControl::consumer_not_exist | ( | TAO_EC_ProxyPushSupplier *proxy | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| When pushing an event to the consumer a CORBA::OBJECT_NOT_EXIST exception was raised. The only interpretation is that the object has been destroyed. The strategy has to (at the very least), reclaim all the resources attached to that object. Reimplemented in TAO_EC_Reactive_ConsumerControl.

int TAO_EC_ConsumerControl::shutdown | ( | void |  | ) | `[virtual]`

| Reimplemented in TAO_EC_Reactive_ConsumerControl.

void TAO_EC_ConsumerControl::system_exception | ( | TAO_EC_ProxyPushSupplier * | proxy,
|  | CORBA::SystemException & | ACE_ENV_ARG_DECL_NOT_USED
| ) | `[virtual]`

| Some system exception was raised while trying to contact the consumer Reimplemented in TAO_EC_Reactive_ConsumerControl.

The documentation for this class was generated from the following files:

- EC_ConsumerControl.h
- EC_ConsumerControl.cpp